Subject: PATCH to 2.5.12: Fix to make configure not ignore --with-png-library

From: Francis Litterio <[email-masked]>
Date: Tue, 14 Dec 2004 14:12:18 -0500

The below patch to version 2.5.12 fixes a problem I found while building
FVWM.

In the "configure" script, The assignment to variable "png_LIBS" that I
have removed was overwriting a previously computed value for that
variable that was derived from the --with-png-library option.  So unless
the assignment below is removed, the --with-png-library option is
ignored.

I suspect that the file "configure.in" also needs to be changed, but I
don't know enough about autoconf syntax to do that.

I hope this helps.
--
Francis Litterio
[email-masked]
http://world.std.com/~franl/
GPG and PGP public keys available on keyservers.

*** configure.orig      Tue Dec 14 14:22:10 2004
--- configure   Tue Dec 14 14:28:18 2004
***************
*** 6964,6970 ****
  #define HAVE_PNG 1
  _ACEOF
  
-   png_LIBS="-lpng -lz"
    problem_png=""
  else
    with_png=no
--- 6964,6969 ----
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]